Loading...
Searching...
No Matches
vspace::Status Struct Reference

`#include <vspace.h>`

## Public Member Functions

bool | ok ()
| operator bool ()
| Status (ErrCode err)

## Data Fields

ErrCode | err

## Detailed Description

Definition at line 1398 of file vspace.h.

## Constructor & Destructor Documentation

## Status()

vspace::Status::Status | ( | ErrCode | err | ) |

inline

Definition at line 1406 of file vspace.h.

: err(err) {
}
vspace::Status::err
ErrCode err
Definition vspace.h:1399

## Member Function Documentation

## ok()

bool vspace::Status::ok | ( |  | ) |

inline

Definition at line 1400 of file vspace.h.

{
return err == ErrNone;
}
vspace::ErrNone
@ ErrNone
Definition vspace.h:1376

## operator bool()

vspace::Status::operator bool | ( |  | ) |

inline

Definition at line 1403 of file vspace.h.

{
return err == ErrNone;
}

## Field Documentation

## err

ErrCode vspace::Status::err

Definition at line 1399 of file vspace.h.

The documentation for this struct was generated from the following file:

- kernel/oswrapper/vspace.h